summaryrefslogtreecommitdiffstats
path: root/development
diff options
context:
space:
mode:
author B. Watson2020-11-20 14:31:37 +0100
committer Willy Sudiarto Raharjo2020-11-21 19:14:17 +0100
commitd4f65e1c70c6243b9bc45f0388bf2cf5c29cff75 (patch)
treec99ec30676130f580e7cc22931f0c1f9518ece0f /development
parentff916d1b9313492d4f9bf0dadb56dbeb2f2540c6 (diff)
downloadslackbuilds-d4f65e1c70c6243b9bc45f0388bf2cf5c29cff75.tar.gz
development/hexe: Added (minimalist hex editor)
Signed-off-by: Dave Woodfall <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'development')
-rw-r--r--development/hexe/README4
-rw-r--r--development/hexe/fix-b-option.diff12
-rw-r--r--development/hexe/hexe.177
-rw-r--r--development/hexe/hexe.SlackBuild80
-rw-r--r--development/hexe/hexe.info10
-rw-r--r--development/hexe/hexe.rst64
-rw-r--r--development/hexe/slack-desc19
7 files changed, 266 insertions, 0 deletions
diff --git a/development/hexe/README b/development/hexe/README
new file mode 100644
index 0000000000..ab9d77e231
--- /dev/null
+++ b/development/hexe/README
@@ -0,0 +1,4 @@
+hexe (minimalist hex editor)
+
+hexe is a hex editor with emacs-like key bindings. It runs in a
+terminal and allows viewing, editing, and searching in hex or ASCII.
diff --git a/development/hexe/fix-b-option.diff b/development/hexe/fix-b-option.diff
new file mode 100644
index 0000000000..addf4a3773
--- /dev/null
+++ b/development/hexe/fix-b-option.diff
@@ -0,0 +1,12 @@
+diff -Naur hexe-20120305/hexe.c hexe-20120305.patched/hexe.c
+--- hexe-20120305/hexe.c 2012-03-05 19:08:11.000000000 -0500
++++ hexe-20120305.patched/hexe.c 2020-11-16 15:55:21.419107371 -0500
+@@ -63,7 +63,7 @@
+ break;
+ }
+ }
+- else if(!strcmp(argv[i], "-c"))
++ else if(!strcmp(argv[i], "-b"))
+ {
+ sscanf(argv[++i], "%i", &bytegroup);
+ goto bytegroup_check;
diff --git a/development/hexe/hexe.1 b/development/hexe/hexe.1
new file mode 100644
index 0000000000..1fd9d1af7a
--- /dev/null
+++ b/development/hexe/hexe.1
@@ -0,0 +1,77 @@
+.\" Man page generated from reStructuredText.
+.
+.TH HEXE 1 "2020-11-16" "20120305" "SlackBuilds.org"
+.SH NAME
+hexe \- hex editor with curses UI
+.
+.nr rst2man-indent-level 0
+.
+.de1 rstReportMargin
+\\$1 \\n[an-margin]
+level \\n[rst2man-indent-level]
+level margin: \\n[rst2man-indent\\n[rst2man-indent-level]]
+-
+\\n[rst2man-indent0]
+\\n[rst2man-indent1]
+\\n[rst2man-indent2]
+..
+.de1 INDENT
+.\" .rstReportMargin pre:
+. RS \\$1
+. nr rst2man-indent\\n[rst2man-indent-level] \\n[an-margin]
+. nr rst2man-indent-level +1
+.\" .rstReportMargin post:
+..
+.de UNINDENT
+. RE
+.\" indent \\n[an-margin]
+.\" old: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.nr rst2man-indent-level -1
+.\" new: \\n[rst2man-indent\\n[rst2man-indent-level]]
+.in \\n[rst2man-indent\\n[rst2man-indent-level]]u
+..
+.\" RST source for hexe(1) man page. Convert with:
+.
+.\" rst2man.py hexe.rst > hexe.1
+.
+.\" rst2man.py comes from the SBo development/docutils package.
+.
+.SH SYNOPSIS
+.sp
+hexe [\fI\-options\fP] [\fBfile\fP]
+.SH DESCRIPTION
+.sp
+hexe is a hex editor with emacs\-like key bindings. It runs in a
+terminal and allows viewing, editing, and searching in hex or ASCII.
+.SH OPTIONS
+.INDENT 0.0
+.TP
+.B \-b,\-\-byte\-groups=<count>
+Set the width of byte groups. Valid counts are 1, 2, 4 (default), 8, 16.
+.TP
+.B \-c,\-\-no\-cols=<count>
+Set the number of columns. Default is 4. No checking is done on the
+size of the terminal, so setting this too high means the rightmost
+columns (and ASCII display) will not be visible.
+.TP
+.B \fB+ADDRESS\fP
+Start at ADDRESS (hexadecimal). If the address is greater than the file size,
+starts at the end of the file.
+.TP
+.B \-v,\-\-view
+View mode (read\-only).
+.TP
+.B \-h,\-?,\-\-help
+Show help message and exit.
+.UNINDENT
+.SH AUTHORS
+.sp
+hexe was written by spinout.
+.sp
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+.SH SEE ALSO
+.sp
+The author\(aqs homepage: \fI\%http://spinout182.com\fP
+.\" Generated by docutils manpage writer.
+.
diff --git a/development/hexe/hexe.SlackBuild b/development/hexe/hexe.SlackBuild
new file mode 100644
index 0000000000..ba607a4774
--- /dev/null
+++ b/development/hexe/hexe.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+# Slackware build script for hexe
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+# Licensed under the WTFPL. See http://www.wtfpl.net/txt/copying/ for details.
+
+# Source is distributed on upstream site as a dir full of individual
+# files rather than a tarball/etc. So I made a tarball containing
+# them all. VERSION is the server timestamp on all the files.
+
+PRGNAM=hexe
+VERSION=${VERSION:-20120305}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.xz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . -perm /111 -a \! -perm 755 -a -exec chmod 755 {} \+ -o \
+ \! -perm /111 -a \! -perm 644 -a -exec chmod 644 {} \+
+
+# The short -b version of --byte-groups didn't work (typo in source)
+patch -p1 < $CWD/fix-b-option.diff
+
+# Get rid of inline warnings
+sed -i 's,\<inline\>,,' $PRGNAM.h
+
+make CFLAGS="-Wall $SLKCFLAGS"
+mkdir -p $PKG/usr/bin
+install -s -m0755 -oroot -groot $PRGNAM $PKG/usr/bin
+
+# man page by SlackBuild author
+mkdir -p $PKG/usr/man/man1
+gzip -9c < $CWD/$PRGNAM.1 > $PKG/usr/man/man1/$PRGNAM.1.gz
+
+# There's *no* documentation, include our own README.
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README > $PKG/usr/doc/$PRGNAM-$VERSION/README
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/hexe/hexe.info b/development/hexe/hexe.info
new file mode 100644
index 0000000000..1a774d4bcb
--- /dev/null
+++ b/development/hexe/hexe.info
@@ -0,0 +1,10 @@
+PRGNAM="hexe"
+VERSION="20120305"
+HOMEPAGE="http://spinout182.com"
+DOWNLOAD="https://slackware.uk/~urchlay/src/hexe-20120305.tar.xz"
+MD5SUM="977603f712970477f835c68e4adee6b7"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
diff --git a/development/hexe/hexe.rst b/development/hexe/hexe.rst
new file mode 100644
index 0000000000..21eec15447
--- /dev/null
+++ b/development/hexe/hexe.rst
@@ -0,0 +1,64 @@
+.. RST source for hexe(1) man page. Convert with:
+.. rst2man.py hexe.rst > hexe.1
+.. rst2man.py comes from the SBo development/docutils package.
+
+.. |version| replace:: 20120305
+.. |date| date::
+
+====
+hexe
+====
+
+-------------------------
+hex editor with curses UI
+-------------------------
+
+:Manual section: 1
+:Manual group: SlackBuilds.org
+:Date: |date|
+:Version: |version|
+
+SYNOPSIS
+========
+
+hexe [*-options*] [**file**]
+
+DESCRIPTION
+===========
+
+hexe is a hex editor with emacs-like key bindings. It runs in a
+terminal and allows viewing, editing, and searching in hex or ASCII.
+
+OPTIONS
+=======
+
+-b,--byte-groups=<count>
+ Set the width of byte groups. Valid counts are 1, 2, 4 (default), 8, 16.
+
+-c,--no-cols=<count>
+ Set the number of columns. Default is 4. No checking is done on the
+ size of the terminal, so setting this too high means the rightmost
+ columns (and ASCII display) will not be visible.
+
+**+ADDRESS**
+ Start at ADDRESS (hexadecimal). If the address is greater than the file size,
+ starts at the end of the file.
+
+-v,--view
+ View mode (read-only).
+
+-h,-?,--help
+ Show help message and exit.
+
+AUTHORS
+=======
+
+hexe was written by spinout.
+
+This man page written for the SlackBuilds.org project
+by B. Watson, and is licensed under the WTFPL.
+
+SEE ALSO
+========
+
+The author's homepage: http://spinout182.com
diff --git a/development/hexe/slack-desc b/development/hexe/slack-desc
new file mode 100644
index 0000000000..9f76c049a2
--- /dev/null
+++ b/development/hexe/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+hexe: hexe (minimalist hex editor)
+hexe:
+hexe: hexe is a hex editor with emacs-like key bindings. It runs in a
+hexe: terminal and allows editing in hex or ASCII.
+hexe:
+hexe:
+hexe:
+hexe:
+hexe:
+hexe:
+hexe: